# eric4.Plugins.VcsPlugins.vcsPySvn.SvnStatusDialog

Module implementing a dialog to show the output of the svn status command process.

### Global Attributes

None

### Classes

SvnStatusDialog | Class implementing a dialog to show the output of the svn status command process.

### Functions

None

## SvnStatusDialog

Class implementing a dialog to show the output of the svn status command process.

### Derived from

QWidget, SvnDialogMixin, Ui_SvnStatusDialog

### Class Attributes

None

### Class Methods

None

### Methods

SvnStatusDialog | Constructor
__add | Private slot to handle the Add context menu entry.
__addToChangelist | Private slot to add entries to a changelist.
__breakLock | Private slot to handle the Break Lock context menu entry.
__commit | Private slot to handle the Commit context menu entry.
__committed | Private slot called after the commit has finished.
__diff | Private slot to handle the Diff context menu entry.
__finish | Private slot called when the process finished or the user pressed the button.
__generateItem | Private method to generate a status item in the status list.
__getChangelistItems | Private method to retrieve all entries, that are members of a changelist.
__getCommitableItems | Private method to retrieve all entries the user wants to commit.
__getLockActionItems | Private method to retrieve all entries, that have a locked status.
__getMissingItems | Private method to retrieve all entries, that have a missing status.
__getModifiedItems | Private method to retrieve all entries, that have a modified status.
__getNonChangelistItems | Private method to retrieve all entries, that are not members of a changelist.
__getUnversionedItems | Private method to retrieve all entries, that have an unversioned status.
__lock | Private slot to handle the Lock context menu entry.
__removeFromChangelist | Private slot to remove entries from their changelists.
__resizeColumns | Private method to resize the list columns.
__resort | Private method to resort the tree.
__restoreMissing | Private slot to handle the Restore Missing context menu entry.
__revert | Private slot to handle the Revert context menu entry.
__showContextMenu | Protected slot to show the context menu of the status list.
__showError | Private slot to show an error message.
__stealLock | Private slot to handle the Break Lock context menu entry.
__unlock | Private slot to handle the Unlock context menu entry.
__updateButtons | Private method to update the VCS buttons status.
__updateCommitButton | Private method to update the Commit button status.
on_addButton_clicked | Private slot to handle the press of the Add button.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_commitButton_clicked | Private slot to handle the press of the Commit button.
on_diffButton_clicked | Private slot to handle the press of the Differences button.
on_refreshButton_clicked | Private slot to refresh the status display.
on_restoreButton_clicked | Private slot to handle the press of the Restore button.
on_revertButton_clicked | Private slot to handle the press of the Revert button.
on_statusFilterCombo_activated | Private slot to react to the selection of a status filter.
on_statusList_itemChanged | Private slot to act upon item changes.
on_statusList_itemSelectionChanged | Private slot to act upon changes of selected items.
start | Public slot to start the svn status command.

### Static Methods

None

#### SvnStatusDialog (Constructor)

SvnStatusDialog(vcs, parent = None)

Constructor

vcs
  reference to the vcs object
parent
  parent widget (QWidget)

#### SvnStatusDialog.__add

__add()

Private slot to handle the Add context menu entry.

#### SvnStatusDialog.__addToChangelist

__addToChangelist()

Private slot to add entries to a changelist.

#### SvnStatusDialog.__breakLock

__breakLock()

Private slot to handle the Break Lock context menu entry.

#### SvnStatusDialog.__commit

__commit()

Private slot to handle the Commit context menu entry.

#### SvnStatusDialog.__committed

__committed()

Private slot called after the commit has finished.

#### SvnStatusDialog.__diff

__diff()

Private slot to handle the Diff context menu entry.

#### SvnStatusDialog.__finish

__finish()

Private slot called when the process finished or the user pressed the button.

#### SvnStatusDialog.__generateItem

__generateItem(changelist, status, propStatus, locked, history, switched, lockinfo, uptodate, revision, change, author, path)

Private method to generate a status item in the status list.

changelist
  name of the changelist (string)
status
  text status (pysvn.wc_status_kind)
propStatus
  property status (pysvn.wc_status_kind)
locked
  locked flag (boolean)
history
  history flag (boolean)
switched
  switched flag (boolean)
lockinfo
  lock indicator (string)
uptodate
  up to date flag (boolean)
revision
  revision (integer)
change
  revision of last change (integer)
author
  author of the last change (string or QString)
path
  path of the file or directory (string or QString)

#### SvnStatusDialog.__getChangelistItems

__getChangelistItems()

Private method to retrieve all entries, that are members of a changelist.

Returns:
  list of all items belonging to a changelist

#### SvnStatusDialog.__getCommitableItems

__getCommitableItems()

Private method to retrieve all entries the user wants to commit.

Returns:
  list of all items, the user has checked

#### SvnStatusDialog.__getLockActionItems

__getLockActionItems(indicators)

Private method to retrieve all entries, that have a locked status.

Returns:
  list of all items with a locked status

#### SvnStatusDialog.__getMissingItems

__getMissingItems()

Private method to retrieve all entries, that have a missing status.

Returns:
  list of all items with a missing status

#### SvnStatusDialog.__getModifiedItems

__getModifiedItems()

Private method to retrieve all entries, that have a modified status.

Returns:
  list of all items with a modified status

#### SvnStatusDialog.__getNonChangelistItems

__getNonChangelistItems()

Private method to retrieve all entries, that are not members of a changelist.

Returns:
  list of all items not belonging to a changelist

#### SvnStatusDialog.__getUnversionedItems

__getUnversionedItems()

Private method to retrieve all entries, that have an unversioned status.

Returns:
  list of all items with an unversioned status

#### SvnStatusDialog.__lock

__lock()

Private slot to handle the Lock context menu entry.

#### SvnStatusDialog.__removeFromChangelist

__removeFromChangelist()

Private slot to remove entries from their changelists.

#### SvnStatusDialog.__resizeColumns

__resizeColumns()

Private method to resize the list columns.

#### SvnStatusDialog.__resort

__resort()

Private method to resort the tree.

#### SvnStatusDialog.__restoreMissing

__restoreMissing()

Private slot to handle the Restore Missing context menu entry.

#### SvnStatusDialog.__revert

__revert()

Private slot to handle the Revert context menu entry.

#### SvnStatusDialog.__showContextMenu

__showContextMenu(coord)

Protected slot to show the context menu of the status list.

coord
  the position of the mouse pointer (QPoint)

#### SvnStatusDialog.__showError

__showError(msg)

Private slot to show an error message.

msg
  error message to show (string or QString)

#### SvnStatusDialog.__stealLock

__stealLock()

Private slot to handle the Break Lock context menu entry.

#### SvnStatusDialog.__unlock

__unlock()

Private slot to handle the Unlock context menu entry.

#### SvnStatusDialog.__updateButtons

__updateButtons()

Private method to update the VCS buttons status.

#### SvnStatusDialog.__updateCommitButton

__updateCommitButton()

Private method to update the Commit button status.

#### SvnStatusDialog.on_addButton_clicked

on_addButton_clicked()

Private slot to handle the press of the Add button.

#### SvnStatusDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### SvnStatusDialog.on_commitButton_clicked

on_commitButton_clicked()

Private slot to handle the press of the Commit button.

#### SvnStatusDialog.on_diffButton_clicked

on_diffButton_clicked()

Private slot to handle the press of the Differences button.

#### SvnStatusDialog.on_refreshButton_clicked

on_refreshButton_clicked()

Private slot to refresh the status display.

#### SvnStatusDialog.on_restoreButton_clicked

on_restoreButton_clicked()

Private slot to handle the press of the Restore button.

#### SvnStatusDialog.on_revertButton_clicked

on_revertButton_clicked()

Private slot to handle the press of the Revert button.

#### SvnStatusDialog.on_statusFilterCombo_activated

on_statusFilterCombo_activated(txt)

Private slot to react to the selection of a status filter.

txt
  selected status filter (QString)

#### SvnStatusDialog.on_statusList_itemChanged

on_statusList_itemChanged(item, column)

Private slot to act upon item changes.

item
  reference to the changed item (QTreeWidgetItem)
column
  index of column that changed (integer)

#### SvnStatusDialog.on_statusList_itemSelectionChanged

on_statusList_itemSelectionChanged()

Private slot to act upon changes of selected items.

#### SvnStatusDialog.start

start(fn)

Public slot to start the svn status command.

fn
  filename(s)/directoryname(s) to show the status of (string or list of strings)

Up